<div *ngIf="show" class="row">
  <app-title class="col-md-12" [title]="'Configuration de la cantinière'"></app-title>
  <div class="col-sm-12">
    <form #configForm="ngForm" (ngSubmit)="submit(configForm.form)">
      <div class=" text-center form-row">
        <div class="form-group col-md-6">
          <label for="limite">Heure limite pour passer commande
            <input [(ngModel)]="limite" class="form-control" type="time" id="limite" name="limite" min="8:00" max="24:59"
              required>
          </label>
        </div>
        <div class="form-group col-md-6">
          <label for="maxPlats">Nombre de plats max par jours
            <input [(ngModel)]="maxPlats" class="form-control" type="number" id="limite" name="maxPlats" min="1" max="50"
              required>
          </label>
        </div>
        <div class="form-group offset-md-4 col-md-4">
          <button type="submit" class="btn btn-grey">Sauvegarder</button>
        </div>
      </div>
    </form>
  </div>
</div>



<div class="row">
  <div class="col-md-12 mx-auto">
    <div class="md-form">
      <input type="text" [(ngModel)]="searchText" class="form-control" id="search" mdbInput>
      <label class="text-purple" for="search">Recherche</label>
    </div>
  </div>
</div>
<table class="table table-bordered table-hover z-depth-1">
  <thead>
    <tr class="text-center bg-grey text-white">
      <th scope="row">Email</th>
      <th scope="row">Prénom</th>
      <th scope="row">Nom</th>
      <th scope="row">Crédits</th>
      <th scope="row">Actions</th>
    </tr>
  </thead>
  <tbody>
    <tr  *ngFor="let user of users; let i = index">
      <td>{{user.email}}</td>
      <td>{{user.firstName}}</td>
      <td>{{user.lastName}}</td>
      <td>{{user.wallet}}</td>
      <td>
        <button class="btn btn-grey px-5 py-1" (click)="see(user._id, i)">Modifier</button>
        <button class="btn btn-grey px-5 py-1" (click)="delete(user._id, i)">Supprimer</button>
      </td>
    </tr>
  </tbody>
</table>
